/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: AnimationAdditiveMode.idl,v $
 * $Revision: 1.4 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __com_sun_star_animations_AnimationAdditiveMode_idl__ 
#define __com_sun_star_animations_AnimationAdditiveMode_idl__ 

//============================================================================= 
 
 module com {  module sun {  module star {  module animations {  
 
//============================================================================= 

/** Specifies the additive mode for the animation.

    @see <type>XAnimate</type>
    @see http://www.w3.org/TR/smil20/animation.html#adef-calcMode
    @see http://www.w3.org/TR/smil20/animation.html#adef-SplineAnimation-calcMode
*/
constants AnimationAdditiveMode
{
    /** 
    */
    const short BASE = 0;
    
    /** 
    */
    const short SUM = 1;

    /** 
    */
    const short REPLACE = 2;

    /** 
    */
    const short MULTIPLY = 3;

    /** 
    */
    const short NONE = 4;
};

//============================================================================= 
 
}; }; }; };  

#endif
